Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Minor
    • Resolution: Not A Defect
    • Component/s: _unsorted
    • Labels:
      None
    • Environment:
      Ubuntu 18.04, Java 1.8.0_231
    • Similar Issues:

      Description

      I try upgrade jenkins from ppa but i get error in Ubuntu 18.04.4: 

      // /var/lib/dpkg/info/jenkins.postinst: 10: /etc/default/jenkins: -Dhudson.ClassicPluginStrategy.noBytecodeTransformer=true: not found
      dpkg: error processing package jenkins (--configure):
       installed jenkins package post-installation script subprocess returned error exit status 127
      Errors were encountered while processing:
       jenkins
      E: Sub-process /usr/bin/dpkg returned an error code (1)
      

      I restore older backup from my system and try upgrade again, but its not solve this problem

      The my /etc/default/jenkins file without comments (i never edit before upgrade)

      // NAME=jenkins
      -Dhudson.ClassicPluginStrategy.noBytecodeTransformer=true
      JAVA_ARGS="-Djava.awt.headless=true"
      JAVA_ARGS="$JAVA_ARGS -Dhudson.ClassicPluginStrategy.noBytecodeTransformer=true"
      PIDFILE=/var/run/$NAME/$NAME.pid
      JENKINS_USER=$NAME
      JENKINS_GROUP=$NAME
      JENKINS_WAR=/usr/share/$NAME/$NAME.war
      JENKINS_HOME=/var/lib/$NAME
      RUN_STANDALONE=true
      JENKINS_ENABLE_ACCESS_LOG="no"
      MAXOPENFILES=8192
      HTTP_PORT=8880
      PREFIX=/$NAME
      JENKINS_ARGS="--webroot=/var/cache/$NAME/war --httpPort=$HTTP_PORT"
      
      

        Attachments

          Activity

          Hide
          danielbeck Daniel Beck added a comment -

          The my /etc/default/jenkins file without comments (i never edit before upgrade)

          Funny, because noBytecodeTransformer was never in the default file.

          Fix the file syntax and it should work; this isn't caused by what's the deb packaging.

          Show
          danielbeck Daniel Beck added a comment - The my /etc/default/jenkins file without comments (i never edit before upgrade) Funny, because noBytecodeTransformer was never in the default file. Fix the file syntax and it should work; this isn't caused by what's the deb packaging.

            People

            • Assignee:
              Unassigned
              Reporter:
              tollaska Elek Akos
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: